package cn.wisenergy.mapper;

import cn.wisenergy.model.app.WorkType;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
public interface WorkTypeMapper extends BaseMapper<WorkType> {

    List<WorkType> getAll();

    List<Integer> getIdByReviewer(Integer reviewer);

    List<WorkType> getByIsStatus(Integer status);

    int updateIsStatusById(@Param("id") Integer id, @Param("status") Integer status);
}
